local L = LibStub("AceLocale-3.0"):GetLocale("Skada", false)

local Skada = Skada
local mod = Skada:NewModule("ShadowApparition")

-- On periodic SW: Pain damage, record guid.
local lastguid, lastname
local function SpellDamage(timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags, ...)
	local spellId, spellName, spellSchool, samount, soverkill, sschool, sresisted, sblocked, sabsorbed, scritical, sglancing, scrushing = ...
	if spellId == 589 then
		lastguid = srcGUID
		lastname = srcName
	end
end

-- On apparition cast (which is when it is summoned), attribute this new guid as a pet to our last SW: Pain guid.
local function SpellCastSuccess(timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags, ...)
	local spellId, spellName, spellSchool = ...
	if spellId == 87532 then
		Skada:AssignPet(lastguid, lastname, srcGUID)
	end
end

function mod:OnEnable()
	Skada:RegisterForCL(SpellDamage, 'SPELL_PERIODIC_DAMAGE', {src_is_interesting = true, dst_is_not_interesting = true})
	Skada:RegisterForCL(SpellCastSuccess, 'SPELL_CAST_SUCCESS', {src_is_interesting = true, dst_is_not_interesting = true})
end

function mod:OnDisable()
end
